import { initializeApp } from 'https://www.gstatic.com/firebasejs/10.5.0/firebase-app.js';
import { getMessaging, onBackgroundMessage } from 'https://www.gstatic.com/firebasejs/10.5.0/firebase-messaging-sw.js';

const app = initializeApp({
  apiKey: 'AIzaSyAeTtHSAYwHYuH0Gno986io_dQ7POe17yA',
  authDomain: 'ping-587bb.firebaseapp.com',
  databaseURL: 'https://ping-587bb.firebaseio.com',
  projectId: 'ping-587bb',
  storageBucket: 'ping-587bb.appspot.com',
  messagingSenderId: '380252533650',
  appId: '1:380252533650:web:2b42387ba7119a6e50074b',
  measurementId: 'G-YDNMJVLGR4',
});

const messaging = getMessaging(app);

onBackgroundMessage(messaging, (e) => {
  e.fcmOptions = { link: e.data.notification_link };
  self.registration.showNotification(e.data.notification_title, {
    body: e.data.notification_body,
    requireInteraction: e.data.messageType === 'IssueReminderActivated',
    icon: location.origin + '/assets/icon/favicon-v1.png',
    data: { FCM_MSG: e },
    tag: e.messageId,
  });
});
